com.independentsoft.exchange

## Class RulePredicateSizeRange

- java.lang.Object
- - com.independentsoft.exchange.RulePredicateSizeRange

-     public class RulePredicateSizeRange
      extends java.lang.Object

  Specifies the minimum size that a message must be in order for the condition or exception to apply.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulePredicateSizeRange()` Initializes a new instance of the RulePredicateSizeRange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `geMaximumSize()` Gets the minimum size that a message must be in order for the condition or exception to apply.
    `int` | `getMinimumSize()` Gets the minimum size that a message must be in order for the condition or exception to apply.
    `void` | `setMaximumSize(int maximumSize)` Sets the minimum size that a message must be in order for the condition or exception to apply.
    `void` | `setMinimumSize(int minimumSize)` Sets the minimum size that a message must be in order for the condition or exception to apply.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RulePredicateSizeRange

          public RulePredicateSizeRange()

      Initializes a new instance of the RulePredicateSizeRange class.

  - ### Method Detail

    - #### getMinimumSize

          public int getMinimumSize()

      Gets the minimum size that a message must be in order for the condition or exception to apply.
      Returns:
        the minimum size

    - #### setMinimumSize

          public void setMinimumSize(int minimumSize)

      Sets the minimum size that a message must be in order for the condition or exception to apply.
      Parameters:
        `minimumSize` - the new minimum size

    - #### geMaximumSize

          public int geMaximumSize()

      Gets the minimum size that a message must be in order for the condition or exception to apply.
      Returns:
        the int

    - #### setMaximumSize

          public void setMaximumSize(int maximumSize)

      Sets the minimum size that a message must be in order for the condition or exception to apply.
      Parameters:
        `maximumSize` - the new maximum size